# Get a person

`GET /fuse/v2/persons/{ssn}`

Endpoints:

- `https://api.test.neobits.ai/fuse/v2/persons/{ssn}`
- `https://api.prod.neobits.ai/fuse/v2/persons/{ssn}`

Authentication: one of the following alternatives:

- `basic`

- `basic`: Basic authentication, base64 encoded username:password.

❗

#### Authorization Required

This endpoint requires authentication via the Core API Auth server.

[Learn about authentication →](https://docs.neobits.ai/api-reference/tag/core-authz.md)

  

Use this endpoint to fetch information about a customer. If the data in question requires prior consent from the customer, then you need to create an inquiry first and give the inquiry url to your customer, so that they can consent to share their data.

  

When the inquiry is completed by the customer, you can come back and use the inquiryId to fetch data.

## Parameters

| Name | In | Required | Schema | Description |
| --- | --- | --- | --- | --- |
| `ssn` | path | yes | string; example `01029413157` | The unique identifier for the person |
| `inquiryId` | query | no | string (uuid); example `0679c533-5061-496e-8dc5-df786f04a209` | If the data you are fetching requires an inquiry to be created and completed by the customer first, then this parameter is required. |

Parameter definitions (including all schema constraints and serialization options):

```json
[
  {
    "in": "path",
    "name": "ssn",
    "required": true,
    "example": "01029413157",
    "schema": {
      "type": "string"
    },
    "description": "The unique identifier for the person"
  },
  {
    "in": "query",
    "name": "inquiryId",
    "schema": {
      "type": "string",
      "format": "uuid",
      "example": "0679c533-5061-496e-8dc5-df786f04a209"
    },
    "required": false,
    "description": "If the data you are fetching requires an inquiry to be created and completed by the customer first, then this parameter is required."
  }
]
```

## Responses

### 200 OK

Response headers and links:

```json
{
  "headers": {
    "Content-Type": {
      "description": "The content type of the response.",
      "example": "application/json; charset=utf-8",
      "schema": {
        "type": "string",
        "enum": [
          "application/json; charset=utf-8"
        ]
      }
    },
    "X-Request-ID": {
      "description": "UUID generated on each request. Provide this id to customer support if an error occurs.",
      "schema": {
        "type": "string",
        "format": "uuid",
        "example": "0679c533-5061-496e-8dc5-df786f04a209"
      }
    }
  }
}
```

Content type: `application/json`

```json
{
  "anyOf": [
    {
      "title": "PersonWithConsent",
      "type": "object",
      "description": "Returns data for a person where the users consent is required and is completed via \"Initate\". Requires the \"code\" query param passed as part of the request.",
      "properties": {
        "ssn": {
          "type": "string",
          "example": "01029413157"
        },
        "firstName": {
          "type": "string",
          "example": "STOR"
        },
        "lastName": {
          "type": "string",
          "example": "MÅNE"
        },
        "maritalStatus": {
          "type": "string",
          "enum": [
            "MARRIED",
            "NOT_GIVEN",
            "UNMARRIED",
            "DIVORCED",
            "SEPARATED",
            "WIDOW_ER",
            "REGISTERED_PARTNER",
            "SEPARATED_PARTNER",
            "DIVORCED_PARTNER",
            "REMAINING_PARTNER"
          ]
        },
        "citizenships": {
          "type": "array",
          "items": {
            "title": "Citizenship",
            "type": "object",
            "properties": {
              "citizenship": {
                "type": "string",
                "example": "NOR"
              },
              "isApplicable": {
                "type": "boolean",
                "example": true,
                "description": "maps to 'erGjeldende' in the original response"
              }
            }
          }
        },
        "gender": {
          "type": "string",
          "example": "MALE",
          "enum": [
            "MALE",
            "FEMALE",
            "UNKNOWN"
          ]
        },
        "birthdate": {
          "type": "string",
          "format": "date",
          "example": "1982-02-21"
        },
        "countryOfBirth": {
          "type": "string",
          "example": "NOR"
        },
        "status": {
          "type": "string",
          "example": "RESIDENT",
          "description": "The current status of the person in the Norwegian Population Registry",
          "enum": [
            "RESIDENT",
            "RELOCATED",
            "DISAPPEARED",
            "DISEASED",
            "CEASED",
            "REGISTERED_BY_BIRTH",
            "TEMPORARY",
            "INACTIVE",
            "NON_RESIDENT",
            "ACTIVE",
            "UNKNOWN"
          ]
        },
        "employmentStatus": {
          "type": "string",
          "description": "Inferred from the applicants income report of the last month.",
          "enum": [
            "PERMANENTLY_EMPLOYED",
            "TEMPORARILY_EMPLOYED",
            "SICKNESS_ALLOWANCE",
            "DISABILITY_PENSION",
            "RETIRED",
            "UNEMPLOYED",
            "OTHER"
          ],
          "example": "PERMANENTLY_EMPLOYED"
        },
        "receivesSocialSecurityBenefits": {
          "type": "boolean",
          "example": true,
          "description": "Inferred from the applicants income report of the last month."
        },
        "hasAttachmentCharge": {
          "type": "boolean",
          "example": true,
          "description": "Searches through the movables registry (løsøre) to find active attachment charges (UTLEGG/UTPANTING)."
        },
        "residentialAddress": {
          "type": [
            "object",
            "null"
          ],
          "title": "ResidentialAddress",
          "description": "The persons Norwegian residential address. May be null, if the person is living in a foreign country.",
          "properties": {
            "updatedAt": {
              "type": "string",
              "format": "date-time",
              "example": "2019-09-16T22:14:45.624Z"
            },
            "street": {
              "type": "object",
              "properties": {
                "name": {
                  "type": "string",
                  "example": "Rudvegen"
                },
                "number": {
                  "type": "string",
                  "example": "57"
                },
                "letter": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "example": "A"
                }
              }
            },
            "municipality": {
              "type": "object",
              "properties": {
                "name": {
                  "type": "string",
                  "example": "NESBYEN"
                },
                "number": {
                  "type": "string",
                  "example": "3540"
                }
              }
            }
          }
        },
        "family": {
          "type": "object",
          "properties": {
            "numChildrenBelowAge18": {
              "type": "integer",
              "description": "Number of persons in the family that are below 18 years of age"
            },
            "members": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "ssn": {
                    "type": "string",
                    "example": "03028711300",
                    "description": "11 digit identification number of the person."
                  },
                  "age": {
                    "type": "integer",
                    "example": 34
                  },
                  "gender": {
                    "type": "string",
                    "enum": [
                      "FEMALE",
                      "MALE"
                    ]
                  },
                  "relation": {
                    "type": "string",
                    "enum": [
                      "PARENT",
                      "SPOUSE_OR_PARTNER",
                      "CHILD",
                      "SIBLING"
                    ],
                    "description": "The persons relation to the family member."
                  }
                }
              }
            }
          }
        },
        "property": {
          "type": "object",
          "title": "PropertyOverview",
          "description": "Aggregation of Kartverket API and Eiendomsverdi API",
          "properties": {
            "ownsProperty": {
              "type": "boolean",
              "example": true
            },
            "properties": {
              "type": "array",
              "items": {
                "type": "object",
                "title": "Property",
                "discriminator": {
                  "propertyName": "type",
                  "mapping": {
                    "SelfOwnedProperty": "./SelfOwnedProperty.yaml",
                    "HousingCooperative": "./HousingCooperative.yaml"
                  }
                },
                "anyOf": [
                  {
                    "type": "object",
                    "title": "SelfOwnedProperty",
                    "properties": {
                      "id": {
                        "type": "string",
                        "example": "039456312"
                      },
                      "type": {
                        "type": "string",
                        "enum": [
                          "SELF_OWNED",
                          "HOUSING_COOPERATIVE"
                        ],
                        "example": "SELF_OWNED"
                      },
                      "value": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "valueEstimate": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "valueEstimateHaircut": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "commonDebt": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "netValueEstimate": {
                        "type": "number",
                        "format": "double",
                        "example": 2000000
                      },
                      "grossValueEstimate": {
                        "type": "number",
                        "format": "double",
                        "example": 2000000
                      },
                      "areaMarketScore": {
                        "type": "integer",
                        "example": 20,
                        "minimum": 1,
                        "maximum": 20
                      },
                      "municipalityScore": {
                        "type": "integer",
                        "example": 20,
                        "minimum": 1,
                        "maximum": 20
                      },
                      "customerApprovedValue": {
                        "type": "integer",
                        "example": 20
                      },
                      "valueEstimateAccuracyLevel": {
                        "type": "number",
                        "format": "double",
                        "example": 4
                      },
                      "purchasedAt": {
                        "type": "string",
                        "format": "date-time",
                        "example": "2019-09-16T22:14:45.624Z"
                      },
                      "cadastralUnitNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "7"
                      },
                      "propertyUnitNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "391"
                      },
                      "leaseholdNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "0"
                      },
                      "condominiumUnitNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "0"
                      },
                      "ownershipShare": {
                        "type": "number",
                        "example": 0.5
                      },
                      "estateType": {
                        "type": "string",
                        "enum": [
                          "APARTMENT",
                          "DETACHED_HOUSE",
                          "TERRACED_HOUSE",
                          "SEMI_DETACHED_HOUSE",
                          "LEISURE_HOME",
                          "DORM",
                          "RESIDENTIAL_PLOT",
                          "CABIN_PLOT",
                          "SCHOOL_KINDERGARTEN",
                          "COMMERCIAL_BUILDING",
                          "FARM",
                          "HOUSING",
                          "HOUSE",
                          "SHARED_HOUSING",
                          "GARAGE",
                          "UNDEVELOPED",
                          "PUBLIC",
                          "HEALTH",
                          "MEDIA_COMM",
                          "CULTURE_AND_SPORTS",
                          "RELIGION",
                          "TRANSPORTATION",
                          "OTHER",
                          "UNKNOWN"
                        ],
                        "example": "DETACHED_HOUSE"
                      },
                      "street": {
                        "title": "Street",
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "Smedstusvingen"
                          },
                          "number": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "18"
                          },
                          "letter": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "A"
                          }
                        }
                      },
                      "zip": {
                        "title": "Zip",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "1480"
                          },
                          "area": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "SLATTUM"
                          }
                        }
                      },
                      "municipality": {
                        "title": "Municipality",
                        "type": "object",
                        "properties": {
                          "number": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "3031"
                          },
                          "area": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "NITTEDAL"
                          }
                        }
                      },
                      "liens": {
                        "type": "array",
                        "items": {
                          "title": "Lien",
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string",
                              "example": "039456312"
                            },
                            "updatedAt": {
                              "type": "string",
                              "format": "date-time",
                              "example": "2019-09-16T22:14:45.624Z"
                            },
                            "creditorName": {
                              "type": "string",
                              "example": "SPAREBANKEN TELEMARK"
                            },
                            "creditorOrgNumber": {
                              "type": "string",
                              "example": "985621551"
                            },
                            "value": {
                              "type": "number",
                              "example": 4500000
                            }
                          }
                        }
                      }
                    }
                  },
                  {
                    "type": "object",
                    "title": "HousingCooperative",
                    "properties": {
                      "id": {
                        "type": "string",
                        "example": "039456312"
                      },
                      "type": {
                        "type": "string",
                        "enum": [
                          "SELF_OWNED",
                          "HOUSING_COOPERATIVE"
                        ],
                        "example": "SELF_OWNED"
                      },
                      "value": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "valueEstimate": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "valueEstimateHaircut": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "commonDebt": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "netValueEstimate": {
                        "type": "number",
                        "format": "double",
                        "example": 2000000
                      },
                      "grossValueEstimate": {
                        "type": "number",
                        "format": "double",
                        "example": 2000000
                      },
                      "areaMarketScore": {
                        "type": "integer",
                        "example": 20,
                        "minimum": 1,
                        "maximum": 20
                      },
                      "municipalityScore": {
                        "type": "integer",
                        "example": 20,
                        "minimum": 1,
                        "maximum": 20
                      },
                      "customerApprovedValue": {
                        "type": "integer",
                        "example": 20
                      },
                      "valueEstimateAccuracyLevel": {
                        "type": "number",
                        "format": "double",
                        "example": 4
                      },
                      "purchasedAt": {
                        "type": "string",
                        "format": "date-time",
                        "example": "2019-09-16T22:14:45.624Z"
                      },
                      "cadastralUnitNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "7"
                      },
                      "propertyUnitNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "391"
                      },
                      "leaseholdNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "0"
                      },
                      "condominiumUnitNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "0"
                      },
                      "ownershipShare": {
                        "type": "number",
                        "example": 0.5
                      },
                      "estateType": {
                        "type": "string",
                        "enum": [
                          "APARTMENT",
                          "DETACHED_HOUSE",
                          "TERRACED_HOUSE",
                          "SEMI_DETACHED_HOUSE",
                          "LEISURE_HOME",
                          "DORM",
                          "RESIDENTIAL_PLOT",
                          "CABIN_PLOT",
                          "SCHOOL_KINDERGARTEN",
                          "COMMERCIAL_BUILDING",
                          "FARM",
                          "HOUSING",
                          "HOUSE",
                          "SHARED_HOUSING",
                          "GARAGE",
                          "UNDEVELOPED",
                          "PUBLIC",
                          "HEALTH",
                          "MEDIA_COMM",
                          "CULTURE_AND_SPORTS",
                          "RELIGION",
                          "TRANSPORTATION",
                          "OTHER",
                          "UNKNOWN"
                        ],
                        "example": "DETACHED_HOUSE"
                      },
                      "street": {
                        "title": "Street",
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "Smedstusvingen"
                          },
                          "number": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "18"
                          },
                          "letter": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "A"
                          }
                        }
                      },
                      "zip": {
                        "title": "Zip",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "1480"
                          },
                          "area": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "SLATTUM"
                          }
                        }
                      },
                      "municipality": {
                        "title": "Municipality",
                        "type": "object",
                        "properties": {
                          "number": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "3031"
                          },
                          "area": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "NITTEDAL"
                          }
                        }
                      },
                      "housingCooperative": {
                        "title": "HousingCooperativeInformation",
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "5424543"
                          },
                          "name": {
                            "type": "string",
                            "example": "TERTITTEN BORETTSLAG"
                          },
                          "orgID": {
                            "type": "string",
                            "example": "12345678911"
                          },
                          "shareNumber": {
                            "type": "string",
                            "example": 25
                          }
                        }
                      },
                      "liens": {
                        "type": "array",
                        "items": {
                          "title": "Lien",
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string",
                              "example": "039456312"
                            },
                            "updatedAt": {
                              "type": "string",
                              "format": "date-time",
                              "example": "2019-09-16T22:14:45.624Z"
                            },
                            "creditorName": {
                              "type": "string",
                              "example": "SPAREBANKEN TELEMARK"
                            },
                            "creditorOrgNumber": {
                              "type": "string",
                              "example": "985621551"
                            },
                            "value": {
                              "type": "number",
                              "example": 4500000
                            }
                          }
                        }
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        "debt": {
          "type": "object",
          "properties": {
            "sumEstimatedBalance": {
              "type": "number",
              "format": "double",
              "example": 40000000
            },
            "sumOriginalBalance": {
              "type": "number",
              "format": "double",
              "example": 60000000
            },
            "sumAccruedInterestFromDebtCollectors": {
              "type": "number",
              "format": "double",
              "example": 400
            },
            "sumOwedMaintenancePayments": {
              "type": "number",
              "format": "double",
              "example": 15000
            },
            "sumOwedUnderpaidTax": {
              "type": "number",
              "format": "double",
              "example": 4000
            },
            "sumLatePaymentInterest": {
              "type": "number",
              "format": "double",
              "example": 346
            },
            "mortgageDebt": {
              "title": "MortgageDebtOverview",
              "type": "object",
              "properties": {
                "sumEstimatedBalance": {
                  "type": "number",
                  "format": "double",
                  "example": 40000000
                },
                "sumOriginalBalance": {
                  "type": "number",
                  "format": "double",
                  "example": 60000000
                },
                "sumEstimatedBalanceByOwnership": {
                  "type": "number",
                  "format": "double",
                  "example": 35000000
                },
                "sumOriginalBalanceByOwnership": {
                  "type": "number",
                  "format": "double",
                  "example": 50000000
                },
                "debts": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "allOf": [
                      {
                        "type": "object",
                        "properties": {
                          "creditorName": {
                            "type": "string",
                            "example": "CREDITOR NAME"
                          },
                          "estimatedBalance": {
                            "type": "number",
                            "format": "double",
                            "example": 4107055.83,
                            "description": "An estimate of what the balance might be today."
                          },
                          "originalBalance": {
                            "type": "number",
                            "format": "double",
                            "example": 4407055.83,
                            "description": "The balance gathered from the data source."
                          },
                          "updatedAt": {
                            "type": "string",
                            "example": "2019-09-07T15:50+00Z",
                            "description": "Updated date in the source registry."
                          },
                          "createdAt": {
                            "type": "string",
                            "example": "2019-09-07T15:50+00Z",
                            "description": "Created date in the source registry."
                          },
                          "estimatedDuration": {
                            "type": "number",
                            "example": 260,
                            "description": "Specifies the estimated duration in months used in the amortization calculations"
                          },
                          "estimatedRemainingDuration": {
                            "type": "number",
                            "example": 180,
                            "description": "Specifies the estimated remaining duration in months of the loan"
                          },
                          "estimatedNominalInterestRate": {
                            "type": "number",
                            "example": 13.4,
                            "format": "double",
                            "description": "Specifies the estimated nominal interest rate used in the amortization calculations"
                          },
                          "estimatedMonthlyPayment": {
                            "type": "number",
                            "example": 2980.45,
                            "format": "double",
                            "description": "Specifies the estimated monthly downpayment as a result of the amortization calculations"
                          }
                        }
                      },
                      {
                        "type": "object",
                        "properties": {
                          "propertyOwnershipShare": {
                            "type": "number",
                            "format": "double",
                            "example": 0.5,
                            "description": "The ownership share of the property in the mortgage."
                          },
                          "originalBalanceByOwnership": {
                            "type": "number",
                            "format": "double",
                            "example": 3000000,
                            "description": "The original balance multiplied by the property ownership share."
                          },
                          "estimatedBalanceByOwnership": {
                            "type": "number",
                            "format": "double",
                            "example": 2000000,
                            "description": "The estimated balance multiplied by the property ownership share."
                          },
                          "adjustedOriginalBalance": {
                            "type": "number",
                            "format": "double",
                            "example": 50000000,
                            "description": "The assumed actual original balance of the mortgage."
                          },
                          "balanceSource": {
                            "type": "string",
                            "enum": [
                              "SKATTEETATEN",
                              "KARTVERKET"
                            ],
                            "example": "KARTVERKET",
                            "description": "Specifies which source the originalBalance and estimatedBalance come from."
                          },
                          "lienId": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "288863652"
                          },
                          "propertyId": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "3713739"
                          }
                        }
                      }
                    ]
                  }
                }
              }
            },
            "studentDebt": {
              "title": "StudentDebtOverview",
              "type": "object",
              "properties": {
                "sumEstimatedBalance": {
                  "type": "number",
                  "format": "double",
                  "example": 40000000
                },
                "sumOriginalBalance": {
                  "type": "number",
                  "format": "double",
                  "example": 60000000
                },
                "debts": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "allOf": [
                      {
                        "type": "object",
                        "properties": {
                          "creditorName": {
                            "type": "string",
                            "example": "CREDITOR NAME"
                          },
                          "estimatedBalance": {
                            "type": "number",
                            "format": "double",
                            "example": 4107055.83,
                            "description": "An estimate of what the balance might be today."
                          },
                          "originalBalance": {
                            "type": "number",
                            "format": "double",
                            "example": 4407055.83,
                            "description": "The balance gathered from the data source."
                          },
                          "updatedAt": {
                            "type": "string",
                            "example": "2019-09-07T15:50+00Z",
                            "description": "Updated date in the source registry."
                          },
                          "createdAt": {
                            "type": "string",
                            "example": "2019-09-07T15:50+00Z",
                            "description": "Created date in the source registry."
                          },
                          "estimatedDuration": {
                            "type": "number",
                            "example": 260,
                            "description": "Specifies the estimated duration in months used in the amortization calculations"
                          },
                          "estimatedRemainingDuration": {
                            "type": "number",
                            "example": 180,
                            "description": "Specifies the estimated remaining duration in months of the loan"
                          },
                          "estimatedNominalInterestRate": {
                            "type": "number",
                            "example": 13.4,
                            "format": "double",
                            "description": "Specifies the estimated nominal interest rate used in the amortization calculations"
                          },
                          "estimatedMonthlyPayment": {
                            "type": "number",
                            "example": 2980.45,
                            "format": "double",
                            "description": "Specifies the estimated monthly downpayment as a result of the amortization calculations"
                          }
                        }
                      },
                      {
                        "type": "object",
                        "properties": {
                          "balanceSource": {
                            "type": "string",
                            "enum": [
                              "SKATTEETATEN"
                            ],
                            "example": "SKATTEETATEN",
                            "description": "Specifies which source the originalBalance and estimatedBalance come from."
                          }
                        }
                      }
                    ]
                  }
                }
              }
            },
            "autoDebt": {
              "title": "AutoDebtOverview",
              "type": "object",
              "properties": {
                "sumEstimatedBalance": {
                  "type": "number",
                  "format": "double",
                  "example": 40000000
                },
                "sumOriginalBalance": {
                  "type": "number",
                  "format": "double",
                  "example": 60000000
                },
                "debts": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "allOf": [
                      {
                        "type": "object",
                        "properties": {
                          "creditorName": {
                            "type": "string",
                            "example": "CREDITOR NAME"
                          },
                          "estimatedBalance": {
                            "type": "number",
                            "format": "double",
                            "example": 4107055.83,
                            "description": "An estimate of what the balance might be today."
                          },
                          "originalBalance": {
                            "type": "number",
                            "format": "double",
                            "example": 4407055.83,
                            "description": "The balance gathered from the data source."
                          },
                          "updatedAt": {
                            "type": "string",
                            "example": "2019-09-07T15:50+00Z",
                            "description": "Updated date in the source registry."
                          },
                          "createdAt": {
                            "type": "string",
                            "example": "2019-09-07T15:50+00Z",
                            "description": "Created date in the source registry."
                          },
                          "estimatedDuration": {
                            "type": "number",
                            "example": 260,
                            "description": "Specifies the estimated duration in months used in the amortization calculations"
                          },
                          "estimatedRemainingDuration": {
                            "type": "number",
                            "example": 180,
                            "description": "Specifies the estimated remaining duration in months of the loan"
                          },
                          "estimatedNominalInterestRate": {
                            "type": "number",
                            "example": 13.4,
                            "format": "double",
                            "description": "Specifies the estimated nominal interest rate used in the amortization calculations"
                          },
                          "estimatedMonthlyPayment": {
                            "type": "number",
                            "example": 2980.45,
                            "format": "double",
                            "description": "Specifies the estimated monthly downpayment as a result of the amortization calculations"
                          }
                        }
                      },
                      {
                        "type": "object",
                        "properties": {
                          "registrationNumber": {
                            "type": "string",
                            "example": "BP22352",
                            "description": "The registration number of the vehicle."
                          },
                          "balanceSource": {
                            "type": "string",
                            "enum": [
                              "SKATTEETATEN",
                              "LOSOREREGISTERET"
                            ],
                            "example": "LOSOREREGISTERET",
                            "description": "Specifies which source the originalBalance and estimatedBalance come from."
                          }
                        }
                      }
                    ]
                  }
                }
              }
            },
            "unsecuredDebt": {
              "title": "UnsecuredDebtOverview",
              "type": "object",
              "properties": {
                "sumBalance": {
                  "type": "number",
                  "format": "double",
                  "example": 40000000
                },
                "sumOriginalBalance": {
                  "type": "number",
                  "format": "double",
                  "example": 60000000
                },
                "sumCreditLimit": {
                  "type": "number",
                  "format": "double",
                  "example": 60000000
                },
                "debts": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "example": "CREDIT_FACILITY",
                        "enum": [
                          "CREDIT_FACILITY",
                          "CHARGE_CARD",
                          "REPAYMENT_LOAN"
                        ]
                      },
                      "createdAt": {
                        "type": "string",
                        "example": "2019-09-07T15:50+00Z",
                        "description": "Created date in the source registry."
                      },
                      "updatedAt": {
                        "type": "string",
                        "example": "2019-09-07T15:50+00Z",
                        "description": "Created date in the source registry."
                      },
                      "creditorOrgNumber": {
                        "type": "string",
                        "example": "983521592",
                        "description": "Organization number of the creditor"
                      },
                      "creditorName": {
                        "type": "string",
                        "example": "SANTANDER CONSUMER BANK AS",
                        "description": "Name of the creditor"
                      },
                      "coBorrower": {
                        "type": "string",
                        "enum": [
                          "HAS_CO_BORROWER",
                          "NO_CO_BORROWER",
                          "IS_CO_BORROWER"
                        ],
                        "example": "HAS_CO_BORROWER",
                        "description": "Specifies the coborrower status. HAS_CO_BORROWER means the loan has a co-borrower, NO_CO_BORROWER means there are no co-borrowers, IS_CO_BORROWER means the applicant is a co-borrower of this loan."
                      },
                      "balance": {
                        "type": "number",
                        "example": 400000,
                        "description": "Outstanding balance of the loan."
                      },
                      "originalBalance": {
                        "type": "number",
                        "example": 400000,
                        "description": "Applies only to type REPAYMENT_LOAN"
                      },
                      "creditLimit": {
                        "type": "number",
                        "example": 30000,
                        "description": "Applies only to type CREDIT_FACILITY"
                      },
                      "installmentCharges": {
                        "type": "number",
                        "example": 40
                      },
                      "installmentChargePeriod": {
                        "type": "string",
                        "enum": [
                          "MONTHLY",
                          "QUARTERLY",
                          "HALF_YEARLY",
                          "YEARLY"
                        ],
                        "example": "MONTHLY"
                      },
                      "interestBearingBalance": {
                        "type": "number",
                        "example": 55000
                      },
                      "nonInterestBearingBalance": {
                        "type": "number",
                        "example": 20000
                      },
                      "nomInterestRate": {
                        "type": "number",
                        "format": "double",
                        "example": 12.3
                      },
                      "paymentsPerYear": {
                        "type": "number",
                        "example": 12
                      },
                      "duration": {
                        "type": "number",
                        "example": 12,
                        "description": "Applies only to type REPAYMENT_LOAN"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "income": {
          "type": "object",
          "title": "IncomeOverview",
          "properties": {
            "yearlyGrossIncome": {
              "type": "number",
              "format": "double",
              "example": 1010000
            },
            "yearlyNetIncome": {
              "type": "number",
              "format": "double",
              "example": 650000
            },
            "yearlyDrivingAllowance": {
              "type": "number",
              "format": "double",
              "example": 650000
            },
            "yearlyBonus": {
              "type": "number",
              "format": "double",
              "example": 650000
            },
            "yearlySalary": {
              "type": "number",
              "format": "double",
              "example": 650000
            },
            "yearlyWage": {
              "type": "number",
              "format": "double",
              "example": 650000
            },
            "yearlySicknessAllowance": {
              "type": "number",
              "format": "double",
              "example": 650000
            },
            "yearlyDisabilityPension": {
              "type": "number",
              "format": "double",
              "example": 650000
            },
            "yearlyPension": {
              "type": "number",
              "format": "double",
              "example": 650000
            },
            "yearlyUnemploymentBenefit": {
              "type": "number",
              "format": "double",
              "example": 650000
            },
            "yearlyWorkAssessmentAllowance": {
              "type": "number",
              "format": "double",
              "example": 650000
            },
            "monthlyIncomeRecords": {
              "type": "array",
              "items": {
                "title": "MonthlyIncomeRecord",
                "type": "object",
                "properties": {
                  "grossIncome": {
                    "type": "number",
                    "format": "double"
                  },
                  "netIncome": {
                    "type": "number",
                    "format": "double"
                  },
                  "date": {
                    "type": "string",
                    "format": "YYYY-MM"
                  }
                }
              },
              "example": [
                {
                  "grossIncome": 30000,
                  "netIncome": 30000,
                  "date": "2019-02"
                },
                {
                  "grossIncome": 30000,
                  "netIncome": 30000,
                  "date": "2019-03"
                },
                {
                  "grossIncome": 30000,
                  "netIncome": 30000,
                  "date": "2019-04"
                },
                {
                  "grossIncome": 30000,
                  "netIncome": 30000,
                  "date": "2019-05"
                },
                {
                  "grossIncome": 30000,
                  "netIncome": 30000,
                  "date": "2019-06"
                },
                {
                  "grossIncome": 30000,
                  "netIncome": 30000,
                  "date": "2019-07"
                }
              ]
            },
            "taxRecords": {
              "type": "array",
              "description": "Sorted by key \"taxYear\" in descending order",
              "items": {
                "title": "TaxRecord",
                "type": "object",
                "properties": {
                  "taxYear": {
                    "type": "string",
                    "example": "2018"
                  },
                  "yearlyGrossIncome": {
                    "type": "number",
                    "format": "double",
                    "example": 936618
                  },
                  "yearlySalary": {
                    "type": "number",
                    "format": "double",
                    "example": 936616
                  },
                  "yearlyRentalIncome": {
                    "type": "number",
                    "format": "double",
                    "example": 10000
                  },
                  "yearlyEstimatedTax": {
                    "type": "number",
                    "format": "double",
                    "example": 273562.23
                  },
                  "yearlyEstimatedNetIncome": {
                    "type": "number",
                    "format": "double",
                    "example": 663055.77
                  },
                  "employers": {
                    "type": "array",
                    "items": {
                      "title": "Employer",
                      "type": "object",
                      "properties": {
                        "name": {
                          "type": "string",
                          "example": "Min Jobb AS"
                        },
                        "orgID": {
                          "type": [
                            "string",
                            "null"
                          ],
                          "example": "123456789"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    {
      "title": "PersonWithoutConsent",
      "type": "object",
      "description": "Returns data for a person where consent is not a requirement.",
      "properties": {
        "ssn": {
          "type": "string",
          "example": "01029413157"
        },
        "firstName": {
          "type": "string",
          "example": "STOR"
        },
        "lastName": {
          "type": "string",
          "example": "MÅNE"
        },
        "maritalStatus": {
          "type": "string",
          "enum": [
            "MARRIED",
            "NOT_GIVEN",
            "UNMARRIED",
            "DIVORCED",
            "SEPARATED",
            "WIDOW_ER",
            "REGISTERED_PARTNER",
            "SEPARATED_PARTNER",
            "DIVORCED_PARTNER",
            "REMAINING_PARTNER"
          ]
        },
        "citizenships": {
          "type": "array",
          "items": {
            "title": "Citizenship",
            "type": "object",
            "properties": {
              "citizenship": {
                "type": "string",
                "example": "NOR"
              },
              "isApplicable": {
                "type": "boolean",
                "example": true,
                "description": "maps to 'erGjeldende' in the original response"
              }
            }
          }
        },
        "gender": {
          "type": "string",
          "example": "MALE",
          "enum": [
            "MALE",
            "FEMALE",
            "UNKNOWN"
          ]
        },
        "birthdate": {
          "type": "string",
          "format": "YYYY-MM-DD",
          "example": "1982-02-21"
        },
        "countryOfBirth": {
          "type": "string",
          "example": "NOR"
        },
        "status": {
          "type": "string",
          "example": "RESIDENT",
          "description": "The current status of the person in the Norwegian Population Registry",
          "enum": [
            "RESIDENT",
            "RELOCATED",
            "DISAPPEARED",
            "DISEASED",
            "CEASED",
            "REGISTERED_BY_BIRTH",
            "TEMPORARY",
            "INACTIVE",
            "NON_RESIDENT",
            "ACTIVE",
            "UNKNOWN"
          ]
        },
        "hasAttachmentCharge": {
          "type": "boolean",
          "example": true,
          "description": "Searches through the movables registry (løsøre) to find active attachment charges (UTLEGG/UTPANTING)."
        },
        "residentialAddress": {
          "type": [
            "object",
            "null"
          ],
          "title": "ResidentialAddress",
          "description": "The persons Norwegian residential address. May be null, if the person is living in a foreign country.",
          "properties": {
            "updatedAt": {
              "type": "string",
              "format": "date-time",
              "example": "2019-09-16T22:14:45.624Z"
            },
            "street": {
              "type": "object",
              "properties": {
                "name": {
                  "type": "string",
                  "example": "Rudvegen"
                },
                "number": {
                  "type": "string",
                  "example": "57"
                },
                "letter": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "example": "A"
                }
              }
            },
            "municipality": {
              "type": "object",
              "properties": {
                "name": {
                  "type": "string",
                  "example": "NESBYEN"
                },
                "number": {
                  "type": "string",
                  "example": "3540"
                }
              }
            }
          }
        },
        "family": {
          "type": "object",
          "properties": {
            "numChildrenBelowAge18": {
              "type": "integer",
              "description": "Number of persons in the family that are below 18 years of age"
            },
            "members": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "ssn": {
                    "type": "string",
                    "example": "03028711300",
                    "description": "11 digit identification number of the person."
                  },
                  "age": {
                    "type": "integer",
                    "example": 34
                  },
                  "gender": {
                    "type": "string",
                    "enum": [
                      "FEMALE",
                      "MALE"
                    ]
                  },
                  "relation": {
                    "type": "string",
                    "enum": [
                      "PARENT",
                      "SPOUSE_OR_PARTNER",
                      "CHILD",
                      "SIBLING"
                    ],
                    "description": "The persons relation to the family member."
                  }
                }
              }
            }
          }
        },
        "property": {
          "type": "object",
          "title": "PropertyOverview",
          "description": "Aggregation of Kartverket API and Eiendomsverdi API",
          "properties": {
            "ownsProperty": {
              "type": "boolean",
              "example": true
            },
            "properties": {
              "type": "array",
              "items": {
                "type": "object",
                "title": "Property",
                "discriminator": {
                  "propertyName": "type",
                  "mapping": {
                    "SelfOwnedProperty": "./SelfOwnedProperty.yaml",
                    "HousingCooperative": "./HousingCooperative.yaml"
                  }
                },
                "anyOf": [
                  {
                    "type": "object",
                    "title": "SelfOwnedProperty",
                    "properties": {
                      "id": {
                        "type": "string",
                        "example": "039456312"
                      },
                      "type": {
                        "type": "string",
                        "enum": [
                          "SELF_OWNED",
                          "HOUSING_COOPERATIVE"
                        ],
                        "example": "SELF_OWNED"
                      },
                      "value": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "valueEstimate": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "valueEstimateHaircut": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "commonDebt": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "netValueEstimate": {
                        "type": "number",
                        "format": "double",
                        "example": 2000000
                      },
                      "grossValueEstimate": {
                        "type": "number",
                        "format": "double",
                        "example": 2000000
                      },
                      "areaMarketScore": {
                        "type": "integer",
                        "example": 20,
                        "minimum": 1,
                        "maximum": 20
                      },
                      "municipalityScore": {
                        "type": "integer",
                        "example": 20,
                        "minimum": 1,
                        "maximum": 20
                      },
                      "customerApprovedValue": {
                        "type": "integer",
                        "example": 20
                      },
                      "valueEstimateAccuracyLevel": {
                        "type": "number",
                        "format": "double",
                        "example": 4
                      },
                      "purchasedAt": {
                        "type": "string",
                        "format": "date-time",
                        "example": "2019-09-16T22:14:45.624Z"
                      },
                      "cadastralUnitNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "7"
                      },
                      "propertyUnitNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "391"
                      },
                      "leaseholdNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "0"
                      },
                      "condominiumUnitNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "0"
                      },
                      "ownershipShare": {
                        "type": "number",
                        "example": 0.5
                      },
                      "estateType": {
                        "type": "string",
                        "enum": [
                          "APARTMENT",
                          "DETACHED_HOUSE",
                          "TERRACED_HOUSE",
                          "SEMI_DETACHED_HOUSE",
                          "LEISURE_HOME",
                          "DORM",
                          "RESIDENTIAL_PLOT",
                          "CABIN_PLOT",
                          "SCHOOL_KINDERGARTEN",
                          "COMMERCIAL_BUILDING",
                          "FARM",
                          "HOUSING",
                          "HOUSE",
                          "SHARED_HOUSING",
                          "GARAGE",
                          "UNDEVELOPED",
                          "PUBLIC",
                          "HEALTH",
                          "MEDIA_COMM",
                          "CULTURE_AND_SPORTS",
                          "RELIGION",
                          "TRANSPORTATION",
                          "OTHER",
                          "UNKNOWN"
                        ],
                        "example": "DETACHED_HOUSE"
                      },
                      "street": {
                        "title": "Street",
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "Smedstusvingen"
                          },
                          "number": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "18"
                          },
                          "letter": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "A"
                          }
                        }
                      },
                      "zip": {
                        "title": "Zip",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "1480"
                          },
                          "area": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "SLATTUM"
                          }
                        }
                      },
                      "municipality": {
                        "title": "Municipality",
                        "type": "object",
                        "properties": {
                          "number": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "3031"
                          },
                          "area": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "NITTEDAL"
                          }
                        }
                      },
                      "liens": {
                        "type": "array",
                        "items": {
                          "title": "Lien",
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string",
                              "example": "039456312"
                            },
                            "updatedAt": {
                              "type": "string",
                              "format": "date-time",
                              "example": "2019-09-16T22:14:45.624Z"
                            },
                            "creditorName": {
                              "type": "string",
                              "example": "SPAREBANKEN TELEMARK"
                            },
                            "creditorOrgNumber": {
                              "type": "string",
                              "example": "985621551"
                            },
                            "value": {
                              "type": "number",
                              "example": 4500000
                            }
                          }
                        }
                      }
                    }
                  },
                  {
                    "type": "object",
                    "title": "HousingCooperative",
                    "properties": {
                      "id": {
                        "type": "string",
                        "example": "039456312"
                      },
                      "type": {
                        "type": "string",
                        "enum": [
                          "SELF_OWNED",
                          "HOUSING_COOPERATIVE"
                        ],
                        "example": "SELF_OWNED"
                      },
                      "value": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "valueEstimate": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "valueEstimateHaircut": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "commonDebt": {
                        "type": "number",
                        "format": "double",
                        "example": 5000000
                      },
                      "netValueEstimate": {
                        "type": "number",
                        "format": "double",
                        "example": 2000000
                      },
                      "grossValueEstimate": {
                        "type": "number",
                        "format": "double",
                        "example": 2000000
                      },
                      "areaMarketScore": {
                        "type": "integer",
                        "example": 20,
                        "minimum": 1,
                        "maximum": 20
                      },
                      "municipalityScore": {
                        "type": "integer",
                        "example": 20,
                        "minimum": 1,
                        "maximum": 20
                      },
                      "customerApprovedValue": {
                        "type": "integer",
                        "example": 20
                      },
                      "valueEstimateAccuracyLevel": {
                        "type": "number",
                        "format": "double",
                        "example": 4
                      },
                      "purchasedAt": {
                        "type": "string",
                        "format": "date-time",
                        "example": "2019-09-16T22:14:45.624Z"
                      },
                      "cadastralUnitNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "7"
                      },
                      "propertyUnitNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "391"
                      },
                      "leaseholdNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "0"
                      },
                      "condominiumUnitNumber": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "example": "0"
                      },
                      "ownershipShare": {
                        "type": "number",
                        "example": 0.5
                      },
                      "estateType": {
                        "type": "string",
                        "enum": [
                          "APARTMENT",
                          "DETACHED_HOUSE",
                          "TERRACED_HOUSE",
                          "SEMI_DETACHED_HOUSE",
                          "LEISURE_HOME",
                          "DORM",
                          "RESIDENTIAL_PLOT",
                          "CABIN_PLOT",
                          "SCHOOL_KINDERGARTEN",
                          "COMMERCIAL_BUILDING",
                          "FARM",
                          "HOUSING",
                          "HOUSE",
                          "SHARED_HOUSING",
                          "GARAGE",
                          "UNDEVELOPED",
                          "PUBLIC",
                          "HEALTH",
                          "MEDIA_COMM",
                          "CULTURE_AND_SPORTS",
                          "RELIGION",
                          "TRANSPORTATION",
                          "OTHER",
                          "UNKNOWN"
                        ],
                        "example": "DETACHED_HOUSE"
                      },
                      "street": {
                        "title": "Street",
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "Smedstusvingen"
                          },
                          "number": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "18"
                          },
                          "letter": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "A"
                          }
                        }
                      },
                      "zip": {
                        "title": "Zip",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "1480"
                          },
                          "area": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "SLATTUM"
                          }
                        }
                      },
                      "municipality": {
                        "title": "Municipality",
                        "type": "object",
                        "properties": {
                          "number": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "3031"
                          },
                          "area": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "NITTEDAL"
                          }
                        }
                      },
                      "housingCooperative": {
                        "title": "HousingCooperativeInformation",
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "5424543"
                          },
                          "name": {
                            "type": "string",
                            "example": "TERTITTEN BORETTSLAG"
                          },
                          "orgID": {
                            "type": "string",
                            "example": "12345678911"
                          },
                          "shareNumber": {
                            "type": "string",
                            "example": 25
                          }
                        }
                      },
                      "liens": {
                        "type": "array",
                        "items": {
                          "title": "Lien",
                          "type": "object",
                          "properties": {
                            "id": {
                              "type": "string",
                              "example": "039456312"
                            },
                            "updatedAt": {
                              "type": "string",
                              "format": "date-time",
                              "example": "2019-09-16T22:14:45.624Z"
                            },
                            "creditorName": {
                              "type": "string",
                              "example": "SPAREBANKEN TELEMARK"
                            },
                            "creditorOrgNumber": {
                              "type": "string",
                              "example": "985621551"
                            },
                            "value": {
                              "type": "number",
                              "example": 4500000
                            }
                          }
                        }
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        "debt": {
          "type": "object",
          "properties": {
            "sumEstimatedBalance": {
              "type": "number",
              "format": "double",
              "example": 40000000
            },
            "sumOriginalBalance": {
              "type": "number",
              "format": "double",
              "example": 60000000
            },
            "mortgageDebt": {
              "title": "MortgageDebtOverview",
              "type": "object",
              "properties": {
                "sumEstimatedBalance": {
                  "type": "number",
                  "format": "double",
                  "example": 40000000
                },
                "sumOriginalBalance": {
                  "type": "number",
                  "format": "double",
                  "example": 60000000
                },
                "debts": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "allOf": [
                      {
                        "type": "object",
                        "properties": {
                          "creditorName": {
                            "type": "string",
                            "example": "CREDITOR NAME"
                          },
                          "estimatedBalance": {
                            "type": "number",
                            "format": "double",
                            "example": 4107055.83,
                            "description": "An estimate of what the balance might be today."
                          },
                          "originalBalance": {
                            "type": "number",
                            "format": "double",
                            "example": 4407055.83,
                            "description": "The balance gathered from the data source."
                          },
                          "updatedAt": {
                            "type": "string",
                            "example": "2019-09-07T15:50+00Z",
                            "description": "Updated date in the source registry."
                          },
                          "createdAt": {
                            "type": "string",
                            "example": "2019-09-07T15:50+00Z",
                            "description": "Created date in the source registry."
                          },
                          "estimatedDuration": {
                            "type": "number",
                            "example": 260,
                            "description": "Specifies the estimated duration in months used in the amortization calculations"
                          },
                          "estimatedRemainingDuration": {
                            "type": "number",
                            "example": 180,
                            "description": "Specifies the estimated remaining duration in months of the loan"
                          },
                          "estimatedNominalInterestRate": {
                            "type": "number",
                            "example": 13.4,
                            "format": "double",
                            "description": "Specifies the estimated nominal interest rate used in the amortization calculations"
                          },
                          "estimatedMonthlyPayment": {
                            "type": "number",
                            "example": 2980.45,
                            "format": "double",
                            "description": "Specifies the estimated monthly downpayment as a result of the amortization calculations"
                          }
                        }
                      },
                      {
                        "type": "object",
                        "properties": {
                          "adjustedOriginalBalance": {
                            "type": "number",
                            "format": "double",
                            "example": 50000000,
                            "description": "The assumed actual original balance of the mortgage."
                          },
                          "balanceSource": {
                            "type": "string",
                            "enum": [
                              "KARTVERKET"
                            ],
                            "example": "KARTVERKET",
                            "description": "Specifies which source the originalBalance and estimatedBalance come from."
                          },
                          "lienId": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "288863652"
                          },
                          "propertyId": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "example": "3713739"
                          }
                        }
                      }
                    ]
                  }
                }
              }
            },
            "autoDebt": {
              "title": "AutoDebtOverview",
              "type": "object",
              "properties": {
                "sumEstimatedBalance": {
                  "type": "number",
                  "format": "double",
                  "example": 40000000
                },
                "sumOriginalBalance": {
                  "type": "number",
                  "format": "double",
                  "example": 60000000
                },
                "debts": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "allOf": [
                      {
                        "type": "object",
                        "properties": {
                          "creditorName": {
                            "type": "string",
                            "example": "CREDITOR NAME"
                          },
                          "estimatedBalance": {
                            "type": "number",
                            "format": "double",
                            "example": 4107055.83,
                            "description": "An estimate of what the balance might be today."
                          },
                          "originalBalance": {
                            "type": "number",
                            "format": "double",
                            "example": 4407055.83,
                            "description": "The balance gathered from the data source."
                          },
                          "updatedAt": {
                            "type": "string",
                            "example": "2019-09-07T15:50+00Z",
                            "description": "Updated date in the source registry."
                          },
                          "createdAt": {
                            "type": "string",
                            "example": "2019-09-07T15:50+00Z",
                            "description": "Created date in the source registry."
                          },
                          "estimatedDuration": {
                            "type": "number",
                            "example": 260,
                            "description": "Specifies the estimated duration in months used in the amortization calculations"
                          },
                          "estimatedRemainingDuration": {
                            "type": "number",
                            "example": 180,
                            "description": "Specifies the estimated remaining duration in months of the loan"
                          },
                          "estimatedNominalInterestRate": {
                            "type": "number",
                            "example": 13.4,
                            "format": "double",
                            "description": "Specifies the estimated nominal interest rate used in the amortization calculations"
                          },
                          "estimatedMonthlyPayment": {
                            "type": "number",
                            "example": 2980.45,
                            "format": "double",
                            "description": "Specifies the estimated monthly downpayment as a result of the amortization calculations"
                          }
                        }
                      },
                      {
                        "type": "object",
                        "properties": {
                          "registrationNumber": {
                            "type": "string",
                            "example": "BP22352",
                            "description": "The registration number of the vehicle."
                          },
                          "balanceSource": {
                            "type": "string",
                            "enum": [
                              "LOSOREREGISTERET"
                            ],
                            "example": "LOSOREREGISTERET",
                            "description": "Specifies which source the originalBalance and estimatedBalance come from."
                          }
                        }
                      }
                    ]
                  }
                }
              }
            },
            "unsecuredDebt": {
              "title": "UnsecuredDebtOverview",
              "type": "object",
              "properties": {
                "sumBalance": {
                  "type": "number",
                  "format": "double",
                  "example": 40000000
                },
                "sumOriginalBalance": {
                  "type": "number",
                  "format": "double",
                  "example": 60000000
                },
                "sumCreditLimit": {
                  "type": "number",
                  "format": "double",
                  "example": 60000000
                },
                "debts": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "example": "CREDIT_FACILITY",
                        "enum": [
                          "CREDIT_FACILITY",
                          "CHARGE_CARD",
                          "REPAYMENT_LOAN"
                        ]
                      },
                      "createdAt": {
                        "type": "string",
                        "example": "2019-09-07T15:50+00Z",
                        "description": "Created date in the source registry."
                      },
                      "updatedAt": {
                        "type": "string",
                        "example": "2019-09-07T15:50+00Z",
                        "description": "Created date in the source registry."
                      },
                      "creditorOrgNumber": {
                        "type": "string",
                        "example": "983521592",
                        "description": "Organization number of the creditor"
                      },
                      "creditorName": {
                        "type": "string",
                        "example": "SANTANDER CONSUMER BANK AS",
                        "description": "Name of the creditor"
                      },
                      "coBorrower": {
                        "type": "string",
                        "enum": [
                          "HAS_CO_BORROWER",
                          "NO_CO_BORROWER",
                          "IS_CO_BORROWER"
                        ],
                        "example": "HAS_CO_BORROWER",
                        "description": "Specifies the coborrower status. HAS_CO_BORROWER means the loan has a co-borrower, NO_CO_BORROWER means there are no co-borrowers, IS_CO_BORROWER means the applicant is a co-borrower of this loan."
                      },
                      "balance": {
                        "type": "number",
                        "example": 400000,
                        "description": "Outstanding balance of the loan."
                      },
                      "originalBalance": {
                        "type": "number",
                        "example": 400000,
                        "description": "Applies only to type REPAYMENT_LOAN"
                      },
                      "creditLimit": {
                        "type": "number",
                        "example": 30000,
                        "description": "Applies only to type CREDIT_FACILITY"
                      },
                      "installmentCharges": {
                        "type": "number",
                        "example": 40
                      },
                      "installmentChargePeriod": {
                        "type": "string",
                        "enum": [
                          "MONTHLY",
                          "QUARTERLY",
                          "HALF_YEARLY",
                          "YEARLY"
                        ],
                        "example": "MONTHLY"
                      },
                      "interestBearingBalance": {
                        "type": "number",
                        "example": 55000
                      },
                      "nonInterestBearingBalance": {
                        "type": "number",
                        "example": 20000
                      },
                      "nomInterestRate": {
                        "type": "number",
                        "format": "double",
                        "example": 12.3
                      },
                      "paymentsPerYear": {
                        "type": "number",
                        "example": 12
                      },
                      "duration": {
                        "type": "number",
                        "example": 12,
                        "description": "Applies only to type REPAYMENT_LOAN"
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  ]
}
```

### 400 Bad Request

Response headers and links:

```json
{
  "headers": {
    "Content-Type": {
      "description": "The content type of the response.",
      "example": "application/json; charset=utf-8",
      "schema": {
        "type": "string",
        "enum": [
          "application/json; charset=utf-8"
        ]
      }
    },
    "X-Request-ID": {
      "description": "UUID generated on each request. Provide this id to customer support if an error occurs.",
      "schema": {
        "type": "string",
        "format": "uuid",
        "example": "0679c533-5061-496e-8dc5-df786f04a209"
      }
    }
  }
}
```

Content type: `application/json`

```json
{
  "title": "BadRequestResponse",
  "type": "object",
  "properties": {
    "timestamp": {
      "type": "string",
      "format": "date-time",
      "example": "2019-09-16T22:14:45.624Z"
    },
    "moreInfo": {
      "type": "string",
      "format": "url",
      "example": "https://docs.neobits.ai/"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "enum": [
              "BadRequest"
            ],
            "example": "BadRequest"
          },
          "code": {
            "type": "string",
            "description": "Unique error code in format HTTP_STATUS-SEQUENCE",
            "enum": [
              "400-000",
              "400-001",
              "400-002",
              "400-003",
              "400-004",
              "400-005",
              "400-006",
              "400-007",
              "400-008",
              "400-100",
              "400-101",
              "400-102",
              "400-103",
              "400-104",
              "400-105",
              "400-106",
              "400-107",
              "400-108",
              "400-109",
              "400-110",
              "400-111",
              "400-112"
            ],
            "example": "400-001"
          },
          "message": {
            "type": "string",
            "example": "Field 'ssn' is required"
          }
        }
      }
    }
  }
}
```

### 401 Unauthorized

Response headers and links:

```json
{
  "headers": {
    "Content-Type": {
      "description": "The content type of the response.",
      "example": "application/json; charset=utf-8",
      "schema": {
        "type": "string",
        "enum": [
          "application/json; charset=utf-8"
        ]
      }
    },
    "X-Request-ID": {
      "description": "UUID generated on each request. Provide this id to customer support if an error occurs.",
      "schema": {
        "type": "string",
        "format": "uuid",
        "example": "0679c533-5061-496e-8dc5-df786f04a209"
      }
    }
  }
}
```

Content type: `application/json`

```json
{
  "title": "UnauthorizedResponse",
  "type": "object",
  "properties": {
    "timestamp": {
      "type": "string",
      "format": "date-time",
      "example": "2019-09-16T22:14:45.624Z"
    },
    "moreInfo": {
      "type": "string",
      "format": "url",
      "example": "https://docs.neobits.ai/"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "enum": [
              "Unauthorized"
            ],
            "example": "Unauthorized"
          },
          "code": {
            "type": "string",
            "description": "Unique error code in format HTTP_STATUS-SEQUENCE",
            "enum": [
              "401-000",
              "401-001",
              "401-002",
              "401-003",
              "401-004",
              "401-005",
              "401-006",
              "401-007"
            ],
            "example": "401-000"
          },
          "message": {
            "type": "string",
            "example": "Client is not authenticated"
          }
        }
      }
    }
  }
}
```

### 403 Bad Request

Response headers and links:

```json
{
  "headers": {
    "Content-Type": {
      "description": "The content type of the response.",
      "example": "application/json; charset=utf-8",
      "schema": {
        "type": "string",
        "enum": [
          "application/json; charset=utf-8"
        ]
      }
    },
    "X-Request-ID": {
      "description": "UUID generated on each request. Provide this id to customer support if an error occurs.",
      "schema": {
        "type": "string",
        "format": "uuid",
        "example": "0679c533-5061-496e-8dc5-df786f04a209"
      }
    }
  }
}
```

Content type: `application/json`

```json
{
  "title": "ForbiddenResponse",
  "type": "object",
  "properties": {
    "timestamp": {
      "type": "string",
      "format": "date-time",
      "example": "2019-09-16T22:14:45.624Z"
    },
    "moreInfo": {
      "type": "string",
      "format": "url",
      "example": "https://docs.neobits.ai/"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "enum": [
              "Forbidden"
            ],
            "example": "Forbidden"
          },
          "code": {
            "type": "string",
            "description": "Unique error code in format HTTP_STATUS-SEQUENCE",
            "enum": [
              "403-000",
              "403-001"
            ],
            "example": "403-000"
          },
          "message": {
            "type": "string",
            "example": "Client does not have access to this resource"
          }
        }
      }
    }
  }
}
```

### 404 Not Found

Response headers and links:

```json
{
  "headers": {
    "Content-Type": {
      "description": "The content type of the response.",
      "example": "application/json; charset=utf-8",
      "schema": {
        "type": "string",
        "enum": [
          "application/json; charset=utf-8"
        ]
      }
    },
    "X-Request-ID": {
      "description": "UUID generated on each request. Provide this id to customer support if an error occurs.",
      "schema": {
        "type": "string",
        "format": "uuid",
        "example": "0679c533-5061-496e-8dc5-df786f04a209"
      }
    }
  }
}
```

Content type: `application/json`

```json
{
  "title": "NotFoundResponse",
  "type": "object",
  "properties": {
    "timestamp": {
      "type": "string",
      "format": "date-time",
      "example": "2019-09-16T22:14:45.624Z"
    },
    "moreInfo": {
      "type": "string",
      "format": "url",
      "example": "https://docs.neobits.ai/"
    },
    "errors": {
      "type": "array",
      "items": {
[...]
